| REPOSITORY | |
|---|---|
| REPOSITORY | OCA/web-api |
| GIT | |
| GIT | https://github.com/OCA/web-api.git |
| GIT FOLDER | |
| GIT FOLDER | https://github.com/OCA/web-api/tree/19.0/endpoint |
| VERSION | |
| VERSION | 1.2.0 |
| CATEGORY | |
| CATEGORY | Uncategorized |
| LICENSE | |
| LICENSE | LGPL-3 |
| APPLICATION | |
| APPLICATION | No |
| AUTO-INSTALLABLE | |
| AUTO-INSTALLABLE | No |
| AUTHORS | |
| AUTHORS | Odoo Community Association (OCA), Camptocamp |
| MAINTAINERS | |
| MAINTAINERS | Odoo Community Association (OCA), Camptocamp |
| COMMITTERS | |
| COMMITTERS | Weblate, OCA-git-bot, Iván Todorovich, oca-ci, AlexGarS73 |
| WEBSITE | |
| WEBSITE | https://github.com/OCA/web-api |
| LAST TRACKING UPDATE | |
| LAST TRACKING UPDATE | 2026-07-06 19:40:47 |
| ODOO DEPENDENCIES | |
| ODOO DEPENDENCIES |
OCA/server-tools: - rpc_helper OCA/web-api: - endpoint_route_handler odoo/odoo: - base - base_sparse_field |
| PYTHON DEPENDENCIES | |
| PYTHON DEPENDENCIES |
PyYAML jsonschema |
| SYSTEM DEPENDENCIES | |
| SYSTEM DEPENDENCIES | Not have |
| DESCRIPTION | |
| DESCRIPTION | Provide an endpoint framework allowing users to define their own custom endpoint. Thanks to endpoint mixin the endpoint records are automatically registered as real Odoo routes. You can easily code what you want in the code snippet. NOTE: for security reasons any kind of RPC call is blocked on endpoint records. |
| XML ID | Name | Model | Type | Status |
|---|---|---|---|---|
endpoint_endpoint_form_view |
endpoint.endpoint.form | endpoint.endpoint | form | Inherits endpoint.endpoint_mixin_form_view |
endpoint_endpoint_search_view |
endpoint.endpoint.search | endpoint.endpoint | search | Inherits endpoint.endpoint_mixin_search_view |
endpoint_endpoint_tree_view |
endpoint.endpoint.list | endpoint.endpoint | list | Inherits endpoint.endpoint_mixin_list_view |
endpoint_mixin_form_view |
endpoint.mixin.form | endpoint.mixin | form | New |
endpoint_mixin_list_view |
endpoint.mixin.list | endpoint.mixin | list | New |
endpoint_mixin_search_view |
endpoint.mixin.search | endpoint.mixin | search | New |
No new fields.
Public methods (0)No public methods.
code_snippet
Text
code_snippet_docs
Text
compute='_compute_code_snippet_docs'
default=<expr>
company_id
Many2one → res.company
string='Company'
args: 'res.company'
exec_as_user_id
Many2one → res.users
comodel_name='res.users'
exec_mode
Selection
required=True
selection='_selection_exec_mode'
request_content_schema
Text
help="Optional schema validated against the parsed request body. The accepted format depends on 'Request content type':\n - application/json: JSON Schema (Draft 2020-12), as YAML or JSON\n - application/xml, text/xml: XML Schema (XSD)\nIf empty, no validation runs."
request_content_schema_applicable
Boolean
compute='_compute_request_content_schema_applicable'
copy_data(self, default=None)
| REPOSITORY | |
|---|---|
| REPOSITORY | OCA/web-api |
| GIT | |
| GIT | https://github.com/OCA/web-api.git |
| GIT FOLDER | |
| GIT FOLDER | https://github.com/OCA/web-api/tree/18.0/endpoint |
| VERSION | |
| VERSION | 1.1.1 |
| CATEGORY | |
| CATEGORY | Uncategorized |
| LICENSE | |
| LICENSE | LGPL-3 |
| APPLICATION | |
| APPLICATION | No |
| AUTO-INSTALLABLE | |
| AUTO-INSTALLABLE | No |
| AUTHORS | |
| AUTHORS | Odoo Community Association (OCA), Camptocamp |
| MAINTAINERS | |
| MAINTAINERS | Odoo Community Association (OCA), Camptocamp |
| COMMITTERS | |
| COMMITTERS | JordiMForgeFlow, Weblate, OCA-git-bot, Simone Orsi, oca-ci, Ivan Sokolov |
| WEBSITE | |
| WEBSITE | https://github.com/OCA/web-api |
| LAST TRACKING UPDATE | |
| LAST TRACKING UPDATE | 2026-07-06 19:30:10 |
| ODOO DEPENDENCIES | |
| ODOO DEPENDENCIES |
OCA/server-tools: - rpc_helper OCA/web-api: - endpoint_route_handler odoo/odoo: - base_sparse_field - base |
| PYTHON DEPENDENCIES | |
| PYTHON DEPENDENCIES | Not have |
| SYSTEM DEPENDENCIES | |
| SYSTEM DEPENDENCIES | Not have |
| DESCRIPTION | |
| DESCRIPTION | Provide an endpoint framework allowing users to define their own custom endpoint. Thanks to endpoint mixin the endpoint records are automatically registered as real Odoo routes. You can easily code what you want in the code snippet. NOTE: for security reasons any kind of RPC call is blocked on endpoint records. |
| XML ID | Name | Model | Type | Status |
|---|---|---|---|---|
endpoint_endpoint_form_view |
endpoint.endpoint.form | endpoint.endpoint | form | Inherits endpoint.endpoint_mixin_form_view |
endpoint_endpoint_search_view |
endpoint.endpoint.search | endpoint.endpoint | search | Inherits endpoint.endpoint_mixin_search_view |
endpoint_endpoint_tree_view |
endpoint.endpoint.list | endpoint.endpoint | list | Inherits endpoint.endpoint_mixin_list_view |
endpoint_mixin_form_view |
endpoint.mixin.form | endpoint.mixin | form | New |
endpoint_mixin_list_view |
endpoint.mixin.list | endpoint.mixin | list | New |
endpoint_mixin_search_view |
endpoint.mixin.search | endpoint.mixin | search | New |
No new fields.
Public methods (0)No public methods.
code_snippet
Text
code_snippet_docs
Text
compute='_compute_code_snippet_docs'
default=<expr>
company_id
Many2one → res.company
string='Company'
args: 'res.company'
exec_as_user_id
Many2one → res.users
comodel_name='res.users'
exec_mode
Selection
required=True
selection='_selection_exec_mode'
copy_data(self, default=None)
| REPOSITORY | |
|---|---|
| REPOSITORY | OCA/web-api |
| GIT | |
| GIT | https://github.com/OCA/web-api.git |
| GIT FOLDER | |
| GIT FOLDER | https://github.com/OCA/web-api/tree/17.0/endpoint |
| VERSION | |
| VERSION | 1.0.0 |
| CATEGORY | |
| CATEGORY | Uncategorized |
| LICENSE | |
| LICENSE | LGPL-3 |
| APPLICATION | |
| APPLICATION | No |
| AUTO-INSTALLABLE | |
| AUTO-INSTALLABLE | No |
| AUTHORS | |
| AUTHORS | Odoo Community Association (OCA), Camptocamp |
| MAINTAINERS | |
| MAINTAINERS | Odoo Community Association (OCA), Camptocamp |
| COMMITTERS | |
| COMMITTERS | Weblate, OCA-git-bot, SilvioC2C, oca-ci, Ivan Sokolov |
| WEBSITE | |
| WEBSITE | https://github.com/OCA/web-api |
| LAST TRACKING UPDATE | |
| LAST TRACKING UPDATE | 2026-07-06 19:20:04 |
| ODOO DEPENDENCIES | |
| ODOO DEPENDENCIES |
OCA/server-tools: - rpc_helper OCA/web-api: - endpoint_route_handler odoo/odoo: - base_sparse_field - base |
| PYTHON DEPENDENCIES | |
| PYTHON DEPENDENCIES | Not have |
| SYSTEM DEPENDENCIES | |
| SYSTEM DEPENDENCIES | Not have |
| DESCRIPTION | |
| DESCRIPTION | Provide an endpoint framework allowing users to define their own custom endpoint. Thanks to endpoint mixin the endpoint records are automatically registered as real Odoo routes. You can easily code what you want in the code snippet. NOTE: for security reasons any kind of RPC call is blocked on endpoint records. |
| XML ID | Name | Model | Type | Status |
|---|---|---|---|---|
endpoint_endpoint_form_view |
endpoint.endpoint.form | endpoint.endpoint | form | Inherits endpoint.endpoint_mixin_form_view |
endpoint_endpoint_search_view |
endpoint.endpoint.search | endpoint.endpoint | search | New |
endpoint_endpoint_tree_view |
endpoint.endpoint.tree | endpoint.endpoint | tree | New |
endpoint_mixin_form_view |
endpoint.mixin.form | endpoint.mixin | form | New |
No new fields.
Public methods (0)No public methods.
code_snippet
Text
code_snippet_docs
Text
compute='_compute_code_snippet_docs'
default=<expr>
company_id
Many2one → res.company
string='Company'
args: 'res.company'
exec_as_user_id
Many2one → res.users
comodel_name='res.users'
exec_mode
Selection
required=True
selection='_selection_exec_mode'
copy_data(self, default=None)
| REPOSITORY | |
|---|---|
| REPOSITORY | OCA/web-api |
| GIT | |
| GIT | https://github.com/OCA/web-api.git |
| GIT FOLDER | |
| GIT FOLDER | https://github.com/OCA/web-api/tree/16.0/endpoint |
| VERSION | |
| VERSION | 1.4.0 |
| CATEGORY | |
| CATEGORY | Uncategorized |
| LICENSE | |
| LICENSE | LGPL-3 |
| APPLICATION | |
| APPLICATION | No |
| AUTO-INSTALLABLE | |
| AUTO-INSTALLABLE | No |
| AUTHORS | |
| AUTHORS | Odoo Community Association (OCA), Camptocamp |
| MAINTAINERS | |
| MAINTAINERS | Odoo Community Association (OCA), Camptocamp |
| COMMITTERS | |
| COMMITTERS | Jordi Ballester Alomar, JordiMForgeFlow, Weblate, OCA-git-bot, Simone Orsi, oca-ci, OriolMForgeFlow, Ivan Sokolov |
| WEBSITE | |
| WEBSITE | https://github.com/OCA/web-api |
| LAST TRACKING UPDATE | |
| LAST TRACKING UPDATE | 2026-07-06 00:53:43 |
| ODOO DEPENDENCIES | |
| ODOO DEPENDENCIES |
OCA/server-tools: - rpc_helper OCA/web-api: - endpoint_route_handler odoo/odoo: - base_sparse_field - base |
| PYTHON DEPENDENCIES | |
| PYTHON DEPENDENCIES | Not have |
| SYSTEM DEPENDENCIES | |
| SYSTEM DEPENDENCIES | Not have |
| DESCRIPTION | |
| DESCRIPTION | |
| XML ID | Name | Model | Type | Status |
|---|---|---|---|---|
endpoint_endpoint_form_view |
endpoint.endpoint.form | endpoint.endpoint | form | Inherits endpoint.endpoint_mixin_form_view |
endpoint_endpoint_search_view |
endpoint.endpoint.search | endpoint.endpoint | search | New |
endpoint_endpoint_tree_view |
endpoint.endpoint.tree | endpoint.endpoint | tree | New |
endpoint_mixin_form_view |
endpoint.mixin.form | endpoint.mixin | form | New |
No new fields.
Public methods (0)No public methods.
code_snippet
Text
code_snippet_docs
Text
compute='_compute_code_snippet_docs'
default=<expr>
company_id
Many2one → res.company
string='Company'
args: 'res.company'
exec_as_user_id
Many2one → res.users
comodel_name='res.users'
exec_mode
Selection
required=True
selection='_selection_exec_mode'
copy_data(self, default=None)
| REPOSITORY | |
|---|---|
| REPOSITORY | OCA/web-api |
| GIT | |
| GIT | https://github.com/OCA/web-api.git |
| GIT FOLDER | |
| GIT FOLDER | https://github.com/OCA/web-api/tree/14.0/endpoint |
| VERSION | |
| VERSION | 2.4.0 |
| CATEGORY | |
| CATEGORY | Uncategorized |
| LICENSE | |
| LICENSE | LGPL-3 |
| APPLICATION | |
| APPLICATION | No |
| AUTO-INSTALLABLE | |
| AUTO-INSTALLABLE | No |
| AUTHORS | |
| AUTHORS | Odoo Community Association (OCA), Camptocamp |
| MAINTAINERS | |
| MAINTAINERS | Odoo Community Association (OCA), Camptocamp |
| COMMITTERS | |
| COMMITTERS | OCA Transbot, Weblate, OCA-git-bot, Simone Orsi, oca-ci |
| WEBSITE | |
| WEBSITE | https://github.com/OCA/web-api |
| LAST TRACKING UPDATE | |
| LAST TRACKING UPDATE | 2026-07-06 00:40:55 |
| ODOO DEPENDENCIES | |
| ODOO DEPENDENCIES |
OCA/server-tools: - rpc_helper OCA/web-api: - endpoint_route_handler odoo/odoo: - base_sparse_field - base |
| PYTHON DEPENDENCIES | |
| PYTHON DEPENDENCIES | Not have |
| SYSTEM DEPENDENCIES | |
| SYSTEM DEPENDENCIES | Not have |
| DESCRIPTION | |
| DESCRIPTION | |
| XML ID | Name | Model | Type | Status |
|---|---|---|---|---|
endpoint_endpoint_form_view |
endpoint.endpoint.form | endpoint.endpoint | form | Inherits endpoint.endpoint_mixin_form_view |
endpoint_endpoint_search_view |
endpoint.endpoint.search | endpoint.endpoint | search | Inherits endpoint.endpoint_mixin_search_view |
endpoint_endpoint_tree_view |
endpoint.endpoint.list | endpoint.endpoint | tree | Inherits endpoint.endpoint_mixin_list_view |
endpoint_mixin_form_view |
endpoint.mixin.form | endpoint.mixin | form | New |
endpoint_mixin_list_view |
endpoint.mixin.list | endpoint.mixin | tree | New |
endpoint_mixin_search_view |
endpoint.mixin.search | endpoint.mixin | search | New |
No new fields.
Public methods (0)No public methods.
code_snippet
Text
code_snippet_docs
Text
compute='_compute_code_snippet_docs'
default=<expr>
company_id
Many2one → res.company
string='Company'
args: 'res.company'
exec_as_user_id
Many2one → res.users
comodel_name='res.users'
exec_mode
Selection
required=True
selection='_selection_exec_mode'
copy_data(self, default=None)